编辑器扩展

从版本 1.03.2004271 起,开发者工具支持启用外部的编辑器扩展,以及禁用部分内置的扩展功能,从而可以根据开发者自己的需要增强编辑体验。

扩展要求

开发者工具可以兼容运行于 Microsoft Visual Studio Code 1.46.0+ 版本的大部分扩展。某些类别(例如调试)的扩展无法支持。

安装和启用扩展

要安装一款编辑器扩展,只需打开项目窗口,然后选择菜单栏【设置】【拓展设置】,并选择【编辑器自定义扩展】选项卡。

点击 “打开扩展文件夹”,并将解包后的扩展文件夹[1]拷贝入打开的文件夹内。回到设置界面,找到并启用新添加的插件,关闭并重新打开该项目即可应用。

例如下图是安装 GitLens (by Eric Amodio) 扩展的效果。

注 1: 不支持直接安装 vsix 格式的插件。来自 Microsoft Visual Studio Code 已安装的扩展,其解包后的文件夹可以在 ~/.vscode/extensions (macOS 系统) 或 C:\Users\用户名\.vscode\extensions (Microsoft Windows 系统) 下找到。

注意

  • 自定义扩展默认不会被启用。安装扩展时,应当自行保证其运行安全性。开发者工具不承担任何因外部扩展导致的问题。
  • 扩展的启用和禁用是对所有项目生效的。目前不支持针对单个项目启用或禁用某扩展。
  • 禁用内置的某些扩展,可能导致部分代码编辑功能缺失。
  • 如果因为启用某个扩展导致项目无法启动,可以在扩展目录删除其插件文件夹。
  • 随着开发者工具的更新,某些扩展可能会因为过时出现兼容性问题而无法使用。请在出现兼容性问题后及时更新这些扩展。